# packet (angle structure list)

## Name

packet (angle structure list) — An angle structure list packet

## Synopsis

Content Model

    packet ::= (angleparams?, struct*,
                spanstrict?, allowstrict?,
                spantaut?, allowtaut?,
                tag*, packet*)

Attributes
See the general `packet` element documentation.

## Description

An angle structure list packet stores a list of angle structures on a particular 3-manifold triangulation. Generally this list will contain the vertex structures whose convex span is the set of all angle structures on the triangulation.

The parent element of this angle structure list must be the triangulation on which the angle structures lie. The individual angle structures in this list are contained in the child `struct` elements.

The parameters of the angle structure enumeration that created this list are stored in the child `angleparams` element. Regina versions 4.6 and earlier did not write this `angleparams` element (since there were no parameters to select). If the `angleparams` element is missing then all parameters are assumed to take on their default values as described in the `angleparams` documentation.

The roles played by the child `tag` and `packet` elements are described in the general `packet` element documentation.

### Parents

The following elements contain `packet` for an angle structure list packet: `packet` (3-dimensional triangulation).

### Children

The following elements occur in `packet` for an angle structure list packet: `allowstrict`, `allowtaut`, `angleparams`, `packet`, `spanstrict`, `spantaut`, `struct`, `tag`.